## Usage

```dart
//insert data
int ret = await CrazyDB.table("request_cache")
    .create({"url":"https://baidu.com"});

//delete data
int ret = await CrazyDB.table("request_cache")
  .where(column: "url", value: "https://baidu.com")
  .or(column: "id", symbol: "=", ,value: 1)
  .delete();

//update data
int ret = await CrazyDB.table("request_cache")
  .where(column: "url", value: "https://baidu.com")
  .update({"json":"{}"});

//select data
List list = await CrazyDB.table("request_cache")
        .where(column: "id", value: 1)
        .where(column: "url", value: "https://baidu.com")
        .whereNotNull(column: "url")
        .orWhere(column: "id", value: 2)
        .whereNotBetween("id",[500,600])
        .orderByDesc("id")
        .whereNotIn("id", [1,3])
        .get();

//many-to-many
    List list = await CrazyDB.table("request_cache")
        .join(
            "request_detail", "request_cache.id", "=", "request_detail.url_id")
        .join(
            "request_time", "request_detail.id", "=", "request_time.detail_id")
        .where(
            column: "request_time.create_time",
            symbol: "<",
            value: "2022-6-10 15:47")
        .get(list: [
      "request_cache.id",
      "request_cache.url",
      "request_cache.json",
      "request_detail.id as detail_id",
      "request_detail.title",
      "request_detail.content",
      "request_time.auth",
      "request_time.create_time"
    ]);


//transaction
//waring: You must use CrazyDB.commit() or CrazyDB.rollback() At least once
try {
    await CrazyDB.transaction();
    //Your SQL Please Write here
    //example:
    int id = await CrazyDB.table("request_cache").create({"url":"https://sina.cn"});
    CrazyDB.table("request_cache").where(column: "id", value: id).delete();
    //you must use the function
    await CrazyDB.commit();
} catch (e) {
    //you must use the function
    CrazyDB.rollback();
    debugPrint("transaction=>$e");
}

//print current SQL
String sql = CrazyDB.getSql();


```